- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# taskStruct Struct Reference

`#include <sched.h>`

Collaboration diagram for taskStruct:

[legend]

## Data Fields
uInt32 | gid
i387Struct | i387
pidType | id
fileDescriptor * | imageFd
taskStruct * | next
osInfo | oInfo
taskStruct * | prev
tState | state
thread | td
tty_term * | term
tssStruct | tss
uInt32 | uid
uInt16 | usedMath

## Detailed Description

Definition at line 54 of file sched.h.

## Field Documentation

uInt32 taskStruct::gid

Definition at line 63 of file sched.h.

Referenced by execFile(), fork_copyProcess(), getgid(), sysGetGid(), and sysSetGid().

struct i387Struct taskStruct::i387

Definition at line 59 of file sched.h.

Referenced by mathStateRestore().

pidType taskStruct::id

Definition at line 55 of file sched.h.

Referenced by __sysctl(), _int0(), _int1(), _int10(), _int11(), _int12(), _int13(), _int2(), _int3(), _int4(), _int5(), _int6(), _int8(), _int9(), elf_loadfile(), endTask(), execFile(), execThread(), fork_copyProcess(), getpid(), intNull(), kmod_load(), ldEnable(), mmap(), mpi_createMbox(), mpi_destroyMbox(), mpi_fetchMessage(), mpi_postMessage(), obreak(), sched(), sched_deleteTask(), sched_init(), schedEndTask(), schedFindTask(), schedNewTask(), sys_exec(), sysExec(), sysExit(), sysGetFreePage(), sysGetpid(), systemTask(), ubthread_mutex_lock(), ubthread_mutex_unlock(), vmm_pageFault(), vmm_remapPage(), and vmmGetFreeVirtualPage().

fileDescriptor* taskStruct::imageFd

Definition at line 61 of file sched.h.

Referenced by execThread(), sys_exec(), sysExec(), and systemTask().

struct taskStruct* taskStruct::next

Definition at line 57 of file sched.h.

Referenced by sched(), sched_addDelTask(), sched_deleteTask(), sched_getDelTask(), schedFindTask(), and schedNewTask().

struct osInfo taskStruct::oInfo

Definition at line 60 of file sched.h.

Referenced by _int13(), biosCall(), execFile(), execThread(), fork_copyProcess(), sys_exec(), sysChDir(), sysExec(), sysGetCwd(), sysMkDir(), vmmGetFreeVirtualPage(), and vmmMapFromTask().

struct taskStruct* taskStruct::prev

Definition at line 56 of file sched.h.

Referenced by sched_addDelTask(), sched_deleteTask(), and schedNewTask().

tState taskStruct::state

Definition at line 62 of file sched.h.

Referenced by _int13(), biosCall(), fork_copyProcess(), sched(), sched_setStatus(), schedNewTask(), and sysCheckPid().

struct thread taskStruct::td

Definition at line 67 of file sched.h.

Referenced by execFile(), fstat(), getgid(), getpid(), getuid(), readlink(), schedNewTask(), sys_exec(), sys_write(), syscall(), sysExec(), vmm_pageFault(), and vmmGetFreeVirtualPage().

tty_term* taskStruct::term

Definition at line 66 of file sched.h.

Referenced by execFile(), fork_copyProcess(), sysFgetc(), sysFwrite(), and systemTask().

struct tssStruct taskStruct::tss

Definition at line 58 of file sched.h.

Referenced by _int13(), biosCall(), execFile(), execThread(), fork_copyProcess(), sysExec(), and vmmMapFromTask().

uInt32 taskStruct::uid

Definition at line 64 of file sched.h.

Referenced by execFile(), fork_copyProcess(), getuid(), sysGetUid(), sysPasswd(), and sysSetUid().

uInt16 taskStruct::usedMath

Definition at line 65 of file sched.h.

Referenced by mathStateRestore(), and schedNewTask().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/sched.h